
I was one of the first open-heart surgery cases. I remember rising out of my bed and seeing myself lying there. There was no noise and no sense of time. I didn't understanding why I was above myself and seeing myself lying there. I felt like I was in limbo. I also felt like this was such a very peaceful existence that I didn't want to go back. I remember an impression, not a voice, that communicated, 'There is something you have to do yet.' I was being gently, but firmly, pushed back. I remember almost everything exactly as it happened 48 years ago. I saw no angels, people, or relatives. I believe the impression was from 'God.' I had never had this type of experience before. I remember everything very vividly even though it was years ago. I will never forget the experience and it did affirm my faith in a higher being.
